View Issue Details

IDProjectCategoryView StatusLast Update
0024804mantisbtbugtrackerpublic2018-10-15 06:52
ReporternijilnandanamAssigned Toatrol 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2.17.0 
Target VersionFixed in Version 
Summary0024804: New Line not working in Description or Note
Description

Hi There,

The new line disappears from the description box and note section after the data is saved.

Eg : When i type

Hi John,

Please refer to the latest documents

Thanks
Nijil

This will appear as

Hi John,Please refer to the latest documents Thanks Nijil

TagsNo tags attached.

Activities

atrol

atrol

2018-09-24 07:51

developer   ~0060683

I am not able to reproduce.
Did you disable Text Processing of MantisBT Formatting plugin?

nijilnandanam

nijilnandanam

2018-09-24 07:59

reporter   ~0060684

I have not installed any plugin . I can only see MantisBT Core 2.17.0 installed in plugin list

atrol

atrol

2018-09-24 14:42

developer   ~0060686

Is there a folder MantisCoreFormatting in folder plugins of your installation?

nijilnandanam

nijilnandanam

2018-09-25 00:54

reporter   ~0060687

Yes there are following folders under /mantisbt-2.17.0/plugins folder

  1. XmlImportExport
  2. MantisGraph
  3. MantisCoreFormatting
  4. Gravatar

and two files

  1. Web.config
  2. .htaccess

.htaccess has the following contents

no access to this folder

Apache 2.4

<IfModule mod_authz_core.c>
Require all denied
</IfModule>

Apache 2.2

<IfModule !mod_authz_core.c>
Order Allow,Deny
Deny from all
</IfModule>

nijilnandanam

nijilnandanam

2018-09-25 08:44

reporter   ~0060690

Should i need to delete that file ?

Please help

atrol

atrol

2018-09-25 11:02

developer   ~0060692

nijilnandanam,

I am not able to reproduce the issue.

The provided information is not sufficient to provide help in resolving the issue. A complete and detailed description is required for the support team to get a clear understanding of the problem.

Also provide detailed, step-by-step instructions to reproduce the issue starting from download; the additional information listed below may also be useful:

  • Exact version of PHP, Database, Web server, Browser and Operating System
  • Relevant customizations (e.g. changes in config_inc.php, etc)
  • Installed plugins or custom functions ?
  • Was the MantisBT source code modified in any way ?
  • Does running admin/check/index.php display any errors or warnings ?
  • Do you see any errors or warnings in PHP or web server logs ?
nijilnandanam

nijilnandanam

2018-09-26 02:48

reporter   ~0060694

Hi Please find the requested details following

#Exact version of PHP, Database, Web server, Browser and Operating System :
PHP Version 5.6.33,
Server Apache 2.0 Handler
Browser : Chrome Version 69.0.3497.100
OS : Linux ip-172-31-42-14 4.4.51-40.60.amzn1.x86_64 0000001 SMP Wed Mar 29 19:17:24 UTC 2017 x86_64
http://ec2-34-242-146-204.eu-west-1.compute.amazonaws.com/demo/phpinfo.php

#Relevant customizations (e.g. changes in config_inc.php, etc)
No customization done . Attached the config.inc.php

#Installed plugins or custom functions ?
No plugins installed

#Was the MantisBT source code modified in any way ?
No

#Does running admin/check/index.php display any errors or warnings ?
Yes please see the link below
http://ec2-34-242-146-204.eu-west-1.compute.amazonaws.com/demo/issuetracker/admin/check/index.php

#Do you see any errors or warnings in PHP or web server logs ?
No

nijilnandanam

nijilnandanam

2018-09-26 02:50

reporter  

config_inc.php (3,490 bytes)
<?php
# MantisBT - A PHP based bugtracking system

# MantisBT is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# MantisBT is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MantisBT.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package MantisBT
 * @copyright Copyright (C) 2000 - 2002  Kenzaburo Ito - kenito@300baud.org
 * @copyright Copyright (C) 2002 MantisBT Team - mantisbt-dev@lists.sourceforge.net
 * @link http://www.mantisbt.org
 */

# This sample file contains the essential files that you MUST
# configure to your specific settings.  You may override settings
# from config_defaults_inc.php by uncommenting the config option
# and setting its value in this file.

# Rename this file to config_inc.php after configuration.

# In general the value OFF means the feature is disabled and ON means the
# feature is enabled.  Any other cases will have an explanation.

# Look in http://www.mantisbt.org/docs/ or config_defaults_inc.php for more
# detailed comments.

# --- Database Configuration ---
$g_hostname               = '34.242.146.204';
$g_db_type                = 'mysqli';
$g_database_name          = 'issuetracker';
$g_db_username            = '****';
$g_db_password            = '****';

$g_default_timezone       = 'Asia/Calcutta';

$g_crypto_master_salt     = 'rGJXs+4OfVu38Zfw1cP4LO4zfaR7jn4QIwmqRQbgjkQ=';

# --- Anonymous Access / Signup ---
$g_allow_signup				= OFF;
$g_allow_anonymous_login	= OFF;
$g_anonymous_account		= '';

# --- Email Configuration ---
$g_phpMailer_method		= PHPMAILER_METHOD_SMTP; # or PHPMAILER_METHOD_SMTP, PHPMAILER_METHOD_SENDMAIL
$g_smtp_host			= 'smtp.gmail.com';			# used with PHPMAILER_METHOD_SMTP
$g_smtp_username		= '***@gmail.com';					# used with PHPMAILER_METHOD_SMTP
$g_smtp_password		= '***';					# used with PHPMAILER_METHOD_SMTP
$g_smtp_connection_mode = 'ssl';
$g_smtp_port 			= 465;
$g_webmaster_email      = '***@gmail.com';
$g_from_email           = '***@gmail.com';	# the "From: " field in emails
$g_return_path_email    = '***@gmail.com';	# the return address for bounced mail
$g_from_name			= 'Issue Tracker';
# $g_email_receive_own	= OFF;
# $g_email_send_using_cronjob = OFF;

$g_form_security_validaton = OFF;

# --- Attachments / File Uploads ---
$g_allow_file_upload	= ON;
$g_file_upload_method	= DATABASE; # or DISK
# $g_absolute_path_default_upload_folder = ''; # used with DISK, must contain trailing \ or /.
$g_max_file_size		= 5000000;	# in bytes
# $g_preview_attachments_inline_max_size = 256 * 1024;
# $g_allowed_files		= '';		# extensions comma separated, e.g. 'php,html,java,exe,pl'
# $g_disallowed_files		= '';		# extensions comma separated

# --- Branding ---
$g_window_title			= 'XXX XXX';
# $g_logo_image			= 'images/mantis_logo.png';
# $g_favicon_image		= 'images/favicon.ico';

# --- Real names ---
# $g_show_realname = OFF;
# $g_show_user_realname_threshold = NOBODY;	# Set to access level (e.g. VIEWER, REPORTER, DEVELOPER, MANAGER, etc)

# --- Others ---
# $g_default_home_page = 'my_view_page.php';	# Set to name of page to go to after login
config_inc.php (3,490 bytes)
atrol

atrol

2018-09-26 04:28

developer   ~0060696

Last edited: 2018-09-26 04:29

View 5 revisions

Set $g_max_file_size = 2000000; on your config_inc.php to get rid of the first error.
After that run again admin/check/index.php where you might get some more errors or warnings.

Independent from that, I recommend to use a newer PHP version (might also fix the issue), as PHP 5.6 is supported just until January 2019.

provide detailed, step-by-step instructions to reproduce the issue starting from download

Still missing

Was the MantisBT source code modified in any way ?
No

This is not true.
You changed at least layout_api.php.

Please try an original source without any modifications.

atrol

atrol

2018-10-05 17:28

developer   ~0060751

nijilnandanam,

You did not provide feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time and provide the requested information.

Issue History

Date Modified Username Field Change
2018-09-24 07:39 nijilnandanam New Issue
2018-09-24 07:51 atrol Status new => feedback
2018-09-24 07:51 atrol Note Added: 0060683
2018-09-24 07:59 nijilnandanam Note Added: 0060684
2018-09-24 07:59 nijilnandanam Status feedback => new
2018-09-24 14:41 atrol Note View State: 0060684: public
2018-09-24 14:42 atrol Status new => feedback
2018-09-24 14:42 atrol Note Added: 0060686
2018-09-25 00:54 nijilnandanam Note Added: 0060687
2018-09-25 00:54 nijilnandanam Status feedback => new
2018-09-25 08:44 nijilnandanam Note Added: 0060690
2018-09-25 11:02 atrol Status new => feedback
2018-09-25 11:02 atrol Note Added: 0060692
2018-09-26 02:48 nijilnandanam Note Added: 0060694
2018-09-26 02:48 nijilnandanam Status feedback => new
2018-09-26 02:50 nijilnandanam File Added: config_inc.php
2018-09-26 04:28 atrol Status new => feedback
2018-09-26 04:28 atrol Note Added: 0060696
2018-09-26 04:28 atrol Note Edited: 0060696 View Revisions
2018-09-26 04:29 atrol Note Edited: 0060696 View Revisions
2018-09-26 04:29 atrol Note Edited: 0060696 View Revisions
2018-09-26 04:29 atrol Note Edited: 0060696 View Revisions
2018-10-05 17:28 atrol Assigned To => atrol
2018-10-05 17:28 atrol Status feedback => resolved
2018-10-05 17:28 atrol Resolution open => no change required
2018-10-05 17:28 atrol Note Added: 0060751
2018-10-15 06:52 atrol Status resolved => closed